package me.lysne.thesis.levert;

import javax.imageio.ImageIO;
import java.awt.image.BufferedImage;
import java.io.File;
import java.io.IOException;

public class Util {

    public static int doubleToRGB(double d) {
        return ((((int)(d * 255 + 0.5)) & 0xFF) << 16) |
                ((((int)(d * 255 + 0.5)) & 0xFF) << 8)  |
                (((int) (d * 255 + 0.5)) & 0xFF);
    }

    public static int doubleToRGB(double[] rgb) {
        return ((((int)(rgb[0] * 255 + 0.5)) & 0xFF) << 16) |
                ((((int)(rgb[1] * 255 + 0.5)) & 0xFF) << 8)  |
                (((int) (rgb[2] * 255 + 0.5)) & 0xFF);
    }

    public static void saveImage(BufferedImage image, String path) {
        try {
            ImageIO.write(image, "png", new File(path));
        } catch (IOException e) {
            e.printStackTrace();
        }
    }
}
